package com.example.widgetmania;

import android.app.Activity;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.view.inputmethod.EditorInfo;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemSelectedListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.Toast;

public class HelloWidgetManiaActivity extends Activity {
 
	TextView edit_name;
	TextView character_name;
	Spinner city_spinner;
	Button start_button;
	Button quit_button;
	boolean spinner_selected = false;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
    	
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
     
        // name (edit & display)
        
        edit_name = (TextView) findViewById(R.id.editText1);
        
        edit_name.setOnEditorActionListener(new MyOnEditorActionListener());
        character_name = (TextView) findViewById(R.id.textView4);
        
        // city (from hello spinner)
        
        city_spinner = (Spinner) findViewById(R.id.spinner1);
        ArrayAdapter<CharSequence> adapter = ArrayAdapter.createFromResource(this, R.array.city_array, android.R.layout.simple_spinner_item);
        adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        city_spinner.setAdapter(adapter);
        city_spinner.setOnItemSelectedListener(new MyOnItemSelectedListener());
        
        // start button
        
        start_button = (Button) findViewById(R.id.button1);
        start_button.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
            	Toast.makeText(getApplicationContext(), "You want to START!", Toast.LENGTH_SHORT).show();
            }
        });

        
        // quit button
        
        quit_button = (Button) findViewById(R.id.button2);
        quit_button.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
                finish();
            }
        });
    }
    
        
    // handle name entry
    
        
    public class MyOnEditorActionListener implements TextView.OnEditorActionListener {
    	
    	public boolean onEditorAction (TextView v, int actionId, KeyEvent event) {
    		if (actionId == EditorInfo.IME_NULL) {
    			Toast.makeText(getApplicationContext(), "You chose " + v.getText(), Toast.LENGTH_SHORT).show();
    			character_name.setText(v.getText());
    		}
    		return true;
    	}
    }
    
    // handle city selection from spinner
    
    public class MyOnItemSelectedListener implements OnItemSelectedListener {

      public void onItemSelected(AdapterView<?> parent, View view, int pos, long id) {
      	if (spinner_selected) // need to do this because an item is initially selected automatically
      		Toast.makeText(parent.getContext(), "You will battle in " + parent.getItemAtPosition(pos).toString(), Toast.LENGTH_SHORT).show();
      	spinner_selected = true;
      }

      public void onNothingSelected(AdapterView parent) {
        // Do nothing.
      }
  }
}